# Uses of Interface
org.eclipse.emf.compare.internal.domain.IMergeAllNonConflictingRunnable

Packages that use IMergeAllNonConflictingRunnable
Package
Description
org.eclipse.emf.compare.command.impl
org.eclipse.emf.compare.domain.impl
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

## Uses of IMergeAllNonConflictingRunnable in org.eclipse.emf.compare.command.impl

Constructors in org.eclipse.emf.compare.command.impl with parameters of type IMergeAllNonConflictingRunnable
Modifier
Constructor
Description
``
`MergeAllNonConflictingCommand(ChangeRecorder changeRecorder, Collection<Notifier> notifiers, Comparison comparison, boolean leftToRight, IMerger.Registry mergerRegistry, IMergeAllNonConflictingRunnable runnable)`
Creates a new instance.

## Uses of IMergeAllNonConflictingRunnable in org.eclipse.emf.compare.domain.impl

Methods in org.eclipse.emf.compare.domain.impl with parameters of type IMergeAllNonConflictingRunnable
Modifier and Type
Method
Description
`ICompareCopyCommand`
EMFCompareEditingDomain.`createCopyAllNonConflictingCommand(Comparison comparison, boolean leftToRight, IMerger.Registry mergerRegistry, IMergeAllNonConflictingRunnable runnable)`
Creates a command that will merge all non-conflicting differences in the given direction.

## Uses of IMergeAllNonConflictingRunnable in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

Classes in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions that implement IMergeAllNonConflictingRunnable
Modifier and Type
Class
Description
`class`
`MergeNonConflictingRunnable`
Implements the "merge non-conflicting" and "merge all non-conflicting" action.